
function road_placer(placer, width, height)
    -- Corner
    if width == height then
        for x = 1, width - 2 do
            placer:set_tile(x, 0, "external/road")
            placer:set_tile(x, height - 1, "external/road")
            placer:set_tile(0, x, "external/road")
            placer:set_tile(width - 1, x, "external/road")
        end
        return
    end
    -- Straights
    if width > height then
        for x = 0, width - 1 do
            for y = 1, height - 2 do
                if y % 5 == 0 then
                    placer:set_tile(x, y, "external/road_lined_x")
                else
                    placer:set_tile(x, y, "external/road")
                end
            end
        end
    else
        for y = 0, height - 1 do
            for x = 1, width - 2 do
                if x % 5 == 0 then
                    placer:set_tile(x, y, "external/road_lined_y")
                else
                    placer:set_tile(x, y, "external/road")
                end
            end
        end
    end
end